%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-libasyncns
Version:        0.7.1
Release:        5%{?dist}
Summary:        Python binding for libasyncns

Group:          Development/Languages
License:        LGPLv2+
URL:            https://launchpad.net/libasyncns-python
Source0:        http://launchpad.net/libasyncns-python/trunk/%{version}/+download/libasyncns-python-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel libasyncns-devel >= 0.4

%description
Python binding for the libasyncns asynchronous name service query library.

%prep
%setup -q -n libasyncns-python-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{_libdir} -type f -exec chmod 0755 '{}' \;

%check
#make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{python_sitearch}/*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Matej Cepl <mcepl@redhat.com> 0.7.1-1
- New upstream release (basically adding license to test/ files).

* Thu Jan 15 2009 Matěj Cepl <mcepl@redhat.com> 0.7-2
- Modified according to reviewers comments.

* Thu Dec 18 2008 Matěj Cepl <mcepl@redhat.com> 0.7-1
- Experimental build
